@ECHO OFF
CLS
ECHO #
ECHO ##  WASP TOXI CLFLTOXI batch command file.
ECHO #
REM 
ECHO #                                            >CLFLTOXI.LOG
ECHO ##  WASP TOXI CLFLTOXI batch command file.  >>CLFLTOXI.LOG
ECHO #   Lahey FORTRAN F77L-EM/32 version 5.01.  >>CLFLTOXI.LOG            
ECHO #                                           >>CLFLTOXI.LOG
GOTO START
REM 
REM  ********************* \WASP\CLFLTOXI.BAT *******************
REM  *        Author: D.W. Disney, Computer Scientist           *
REM  *                Computer Sciences Corporation             *
REM  *          Date: Wednesday, 3 March 1993.  Time: 08:48:23. *
REM  *   Environment: Microway 486-B2T under MS DOS 5.0         *
REM  *  Installation: Computer Sciences Corporation             *
REM  *                U.S. Environmental Protection Agency      *
REM  *                Athens ERL - Athens, Georgia              *
REM  *      Function: To complile and link all FORTRAN 77       *
REM  *                source code files for the WASP TOXI model.*
REM  *      Calling                                             *
REM  *      Sequence: CLFLTOXI                                  *
REM  *         Input: None                                      *
REM  ************************************************************
REM
REM **************************************************************
REM *         Maintenance History - \WASP\CLFLTOXI.BAT           *
REM *------------------------------------------------------------*
REM *  1) Initial coding                                         *
REM *     Date: Wednesday, 3 March 1993.  Time: 08:49:21.        *
REM **************************************************************
REM *  Compile and link the WASP TOXI model under Lahey FORTRAN  *
REM *  F77L-EM/32 compiler and Phar Lap Linker 386LINK for       *
REM *  32-bit extended (protected) mode execution environment.   *
REM *                                                            *
REM *       Program       Version                                *
REM *       -------       -------                                *
REM *       F77L3       -   5.01                                 *
REM *       INTERACTER  -   x.xx                                 *
REM *       386LINK     -   4.1L                                 *
REM *       MS DOS      -   5.01                                 *
REM **************************************************************
REM *  \WASP\CLFLTOXI.BAT                                        *
REM *------------------------------------------------------------*
REM *  The program assumes that                                  *
REM *       1)  All F77L3 commands and files are stored in the   *
REM *           root sub-directory \F77L3 on drive D:.           *
REM *       2)  All Phar Lap commands and files are stored in    *
REM *           the root sub-directory \F77L3 on drive D:.       *
REM *       3)  All INTERACTER libraries are in the root sub-    *
REM *           directory \INTERACT on drive D:.                 *
REM *       4)  All WASP command files are in the sub-directory  *
REM *           \WASP\WASP on drive E:.                          *
REM *       5)  All WASP TOXI command files are in the           *
REM *           sub-directory \WASP\TOXI on drive E:.            *
REM *       6)  All WASP source code files (*.FOR) and source    *
REM *           code include files (*.CMN) are stored in the     *
REM *           \WASP\WASP sub-directory on drive E:.            *
REM *       7)  All WASP TOXI source code files (*.FOR) and      *
REM *           source code include files (*.CMN, *.EQU) are     *
REM *           stored in the \WASP\TOXI sub-directory on drive  *
REM *           E:.                                              *
REM *       8)  The compile and link edit command file           *
REM *           CLFLTOXI.BAT is stored in the sub-directory      *
REM *           \WASP on drive E:.                               *
REM *       9)  The WASP TOXI link edit command file             *
REM *           F77LTOXI.LNK is stored in the sub-directory      *
REM *           \WASP on drive E:.                               *
REM *      10)  The WASP object code files (*.OBJ) are stored in *
REM *           the \WASP\WASP_OBJ sub-directory on drive E:.    *
REM *      11)  The WASP TOXI object code files (*.OBJ) are      *
REM *           stored in the \WASP\TOXI\TOXI_OBJ sub-directory  *
REM *           on drive E:.                                     *
REM **************************************************************
REM
:START
CLS
ECHO #
ECHO ##  Setting system environment variables.
ECHO #
CLS
ECHO #
ECHO ##  Cleaning up extra work files...wait.
ECHO #
IF EXIST  TOXI.MAP DEL  TOXI.MAP >>CLFLTOXI.LOG
IF EXIST TOXI5.EXE DEL TOXI5.EXE >>CLFLTOXI.LOG
IF EXIST     *.OBJ DEL     *.OBJ >>CLFLTOXI.LOG
REM IF EXIST     *.LST DEL     *.LST >>CLFLTOXI.LOG
REM
IF NOT EXIST WASP\WASP_OBJ\NUL MKDIR WASP\WASP_OBJ >>CLFLTOXI.LOG
IF NOT EXIST TOXI\TOXI_OBJ\NUL MKDIR TOXI\TOXI_OBJ >>CLFLTOXI.LOG
REM
IF "%1"=="Y" GOTO YESDEL
IF "%1"=="y" GOTO YESDEL
IF "%1"=="N" GOTO NODEL
IF "%1"=="n" GOTO NODEL
:GETANS
SET ANSWER=
ANSWER     Delete existing WASP TOXI program object files (*.OBJ)? (Y/N) 
IF "%ANSWER%"=="N" GOTO NODEL
IF "%ANSWER%"=="n" GOTO NODEL
IF "%ANSWER%"==""  GOTO NODEL
IF "%ANSWER%"=="Y" GOTO YESDEL
IF "%ANSWER%"=="y" GOTO YESDEL
GOTO GETANS
:YESDEL
IF EXIST WASP\WASP_OBJ\*.OBJ DEL WASP\WASP_OBJ\*.OBJ >>CLFLTOXI.LOG
IF EXIST TOXI\TOXI_OBJ\*.OBJ DEL TOXI\TOXI_OBJ\*.OBJ >>CLFLTOXI.LOG
IF EXIST               *.OBJ DEL               *.OBJ >>CLFLTOXI.LOG
:NODEL
SET ANSWER=
REM IF EXIST *.LST DEL *.LST >>CLFLTOXI.LOG
CLS
VERIFY OFF
BREAK ON
ECHO #
ECHO ##  Ready to begin WASP TOXI compile and link edit.
ECHO #   Press "<Ctrl><P>" to echo results to printer.
ECHO #
ECHO #   Press the "<Enter>" key to continue.
PAUSE >NUL
CLS
REM
ECHO #
ECHO ##  Copying all WASP source code INCLUDE files to \WASP directory.
ECHO #
IF EXIST WASP\*.CMN COPY WASP\*.CMN /V >>CLFLTOXI.LOG
IF EXIST WASP\*.INC COPY WASP\*.INC /V >>CLFLTOXI.LOG
CLS
REM
ECHO #
ECHO ##  Copying all TOXI source code INCLUDE files to \WASP directory.
ECHO #
IF EXIST TOXI\*.CMN COPY TOXI\*.CMN /V >>CLFLTOXI.LOG
IF EXIST TOXI\*.EQU COPY TOXI\*.EQU /V >>CLFLTOXI.LOG
CLS
REM
ECHO #
ECHO ##  Compile for WASP TOXI in progress with F77L3 FORTRAN.
ECHO #
REM
ECHO #                                                    >>CLFLTOXI.LOG
ECHO ## WASP CLFLTOXI batch command file begin execution. >>CLFLTOXI.LOG
ECHO #                                                    >>CLFLTOXI.LOG
ECHO #                                                    >>CLFLTOXI.LOG
ECHO ## Start date and time.                              >>CLFLTOXI.LOG
ECHO #                                                    >>CLFLTOXI.LOG
ECHO # -------- DATE ---------                            >>CLFLTOXI.LOG
ECHO #                                                    >>CLFLTOXI.LOG
DATE <RETURN1.ANS | FIND "C"                              >>CLFLTOXI.LOG
ECHO #                                                    >>CLFLTOXI.LOG
ECHO # -------- TIME ---------                            >>CLFLTOXI.LOG
ECHO #                                                    >>CLFLTOXI.LOG
TIME <RETURN1.ANS | FIND "C"                              >>CLFLTOXI.LOG
ECHO #                                                    >>CLFLTOXI.LOG
ECHO # -----------------------                            >>CLFLTOXI.LOG
ECHO #                                                    >>CLFLTOXI.LOG
CLS
REM IF NOT EXIST WASP\WASP_OBJ\source.OBJ   F77L3 WASP\source.FOR, WASP\WASP_OBJ\source.OBJ, listfile, SOLDfile /O
REM --------------------------------------------------------------------------
@ECHO ON
REM --------------------------------------------------------
IF NOT EXIST WASP\WASP_OBJ\BEDSED.OBJ F77L3 WASP\BEDSED.FOR, WASP\WASP_OBJ\BEDSED.OBJ,, /O >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\BRKERR.OBJ F77L3 WASP\BRKERR.FOR, WASP\WASP_OBJ\BRKERR.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\DERIV.OBJ F77L3 WASP\DERIV.FOR, WASP\WASP_OBJ\DERIV.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\EULER.OBJ F77L3 WASP\EULER.FOR, WASP\WASP_OBJ\EULER.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\FMTER.OBJ F77L3 WASP\FMTER.FOR, WASP\WASP_OBJ\FMTER.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\GETMES.OBJ F77L3 WASP\GETMES.FOR, WASP\WASP_OBJ\GETMES.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\HYDROIN.OBJ F77L3 WASP\HYDROIN.FOR, WASP\WASP_OBJ\HYDROIN.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\INIT.OBJ F77L3 WASP\INIT.FOR, WASP\WASP_OBJ\INIT.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\KEYCHECK.OBJ F77L3 WASP\KEYCHECK.FOR, WASP\WASP_OBJ\KEYCHECK.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\NPS_TV.OBJ F77L3 WASP\NPS_TV.FOR, WASP\WASP_OBJ\NPS_TV.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\NPS_CHEC.OBJ F77L3 WASP\NPS_CHEC.FOR, WASP\WASP_OBJ\NPS_CHEC.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\PROMPT.OBJ F77L3 WASP\PROMPT.FOR, WASP\WASP_OBJ\PROMPT.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\PRTSCR.OBJ F77L3 WASP\PRTSCR.FOR, WASP\WASP_OBJ\PRTSCR.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\QCALC.OBJ F77L3 WASP\QCALC.FOR, WASP\WASP_OBJ\QCALC.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\QEVAP.OBJ F77L3 WASP\QEVAP.FOR, WASP\WASP_OBJ\QEVAP.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\QHYDRO.OBJ F77L3 WASP\QHYDRO.FOR, WASP\WASP_OBJ\QHYDRO.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\QPORE.OBJ F77L3 WASP\QPORE.FOR, WASP\WASP_OBJ\QPORE.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\QSED.OBJ F77L3 WASP\QSED.FOR, WASP\WASP_OBJ\QSED.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\QSURF1.OBJ F77L3 WASP\QSURF1.FOR, WASP\WASP_OBJ\QSURF1.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\QSURF2.OBJ F77L3 WASP\QSURF2.FOR, WASP\WASP_OBJ\QSURF2.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\RSCREEN.OBJ F77L3 WASP\RSCREEN.FOR, WASP\WASP_OBJ\RSCREEN.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\SCAL3D.OBJ F77L3 WASP\SCAL3D.FOR, WASP\WASP_OBJ\SCAL3D.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\SCALP.OBJ F77L3 WASP\SCALP.FOR, WASP\WASP_OBJ\SCALP.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\SETCA.OBJ F77L3 WASP\SETCA.FOR, WASP\WASP_OBJ\SETCA.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\SETIA.OBJ F77L3 WASP\SETIA.FOR, WASP\WASP_OBJ\SETIA.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\SETRA.OBJ F77L3 WASP\SETRA.FOR, WASP\WASP_OBJ\SETRA.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\SETRB.OBJ F77L3 WASP\SETRB.FOR, WASP\WASP_OBJ\SETRB.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\SETXA.OBJ F77L3 WASP\SETXA.FOR, WASP\WASP_OBJ\SETXA.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\TINIT.OBJ F77L3 WASP\TINIT.FOR, WASP\WASP_OBJ\TINIT.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\TLABELS.OBJ F77L3 WASP\TLABELS.FOR, WASP\WASP_OBJ\TLABELS.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\TOPT.OBJ F77L3 WASP\TOPT.FOR, WASP\WASP_OBJ\TOPT.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\TRNOUT.OBJ F77L3 WASP\TRNOUT.FOR, WASP\WASP_OBJ\TRNOUT.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\WA12A.OBJ F77L3 WASP\WA12A.FOR, WASP\WASP_OBJ\WA12A.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\WAS12.OBJ F77L3 WASP\WAS12.FOR, WASP\WASP_OBJ\WAS12.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\WAS13.OBJ F77L3 WASP\WAS13.FOR, WASP\WASP_OBJ\WAS13.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\WAS14.OBJ F77L3 WASP\WAS14.FOR, WASP\WASP_OBJ\WAS14.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\WAS4A.OBJ F77L3 WASP\WAS4A.FOR, WASP\WASP_OBJ\WAS4A.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\WAS6A.OBJ F77L3 WASP\WAS6A.FOR, WASP\WASP_OBJ\WAS6A.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\WAS8A.OBJ F77L3 WASP\WAS8A.FOR, WASP\WASP_OBJ\WAS8A.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\WAS8B.OBJ F77L3 WASP\WAS8B.FOR, WASP\WASP_OBJ\WAS8B.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\WASP1.OBJ F77L3 WASP\WASP1.FOR, WASP\WASP_OBJ\WASP1.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\WASP2.OBJ F77L3 WASP\WASP2.FOR, WASP\WASP_OBJ\WASP2.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\WASP3.OBJ F77L3 WASP\WASP3.FOR, WASP\WASP_OBJ\WASP3.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\WASP4.OBJ F77L3 WASP\WASP4.FOR, WASP\WASP_OBJ\WASP4.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\WASP4V.OBJ F77L3 WASP\WASP4V.FOR, WASP\WASP_OBJ\WASP4V.OBJ,, >>CLFLTOXI.LOG
REM IF NOT EXIST WASP\WASP_OBJ\WASP4X.OBJ F77L3 WASP\WASP4X.FOR, WASP\WASP_OBJ\WASP4X.OBJ,,
IF NOT EXIST WASP\WASP_OBJ\WASP5.OBJ F77L3 WASP\WASP5.FOR, WASP\WASP_OBJ\WASP5.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\WASP6.OBJ F77L3 WASP\WASP6.FOR, WASP\WASP_OBJ\WASP6.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\WASP7.OBJ F77L3 WASP\WASP7.FOR, WASP\WASP_OBJ\WASP7.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\WASP8.OBJ F77L3 WASP\WASP8.FOR, WASP\WASP_OBJ\WASP8.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\WASP9.OBJ F77L3 WASP\WASP9.FOR, WASP\WASP_OBJ\WASP9.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\WERR.OBJ F77L3 WASP\WERR.FOR, WASP\WASP_OBJ\WERR.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\WEXIT.OBJ F77L3 WASP\WEXIT.FOR, WASP\WASP_OBJ\WEXIT.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\WINOUT.OBJ F77L3 WASP\WINOUT.FOR, WASP\WASP_OBJ\WINOUT.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\WLABELS.OBJ F77L3 WASP\WLABELS.FOR, WASP\WASP_OBJ\WLABELS.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\WMESS.OBJ F77L3 WASP\WMESS.FOR, WASP\WASP_OBJ\WMESS.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\WSCREEN.OBJ F77L3 WASP\WSCREEN.FOR, WASP\WASP_OBJ\WSCREEN.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\WSPERROR.OBJ F77L3 WASP\WSPERROR.FOR, WASP\WASP_OBJ\WSPERROR.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\WUPDATE.OBJ F77L3 WASP\WUPDATE.FOR, WASP\WASP_OBJ\WUPDATE.OBJ,, >>CLFLTOXI.LOG
REM --------------------------------------------------------
IF NOT EXIST TOXI\TOXI_OBJ\BEER.OBJ F77L3 TOXI\BEER.FOR, TOXI\TOXI_OBJ\BEER.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST TOXI\TOXI_OBJ\BIODEG.OBJ F77L3 TOXI\BIODEG.FOR, TOXI\TOXI_OBJ\BIODEG.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST TOXI\TOXI_OBJ\CHEM1.OBJ F77L3 TOXI\CHEM1.FOR, TOXI\TOXI_OBJ\CHEM1.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST TOXI\TOXI_OBJ\CHEM2.OBJ F77L3 TOXI\CHEM2.FOR, TOXI\TOXI_OBJ\CHEM2.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST TOXI\TOXI_OBJ\CHEM3.OBJ F77L3 TOXI\CHEM3.FOR, TOXI\TOXI_OBJ\CHEM3.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST TOXI\TOXI_OBJ\CHM1INT.OBJ F77L3 TOXI\CHM1INT.FOR, TOXI\TOXI_OBJ\CHM1INT.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST TOXI\TOXI_OBJ\CHM2INT.OBJ F77L3 TOXI\CHM2INT.FOR, TOXI\TOXI_OBJ\CHM2INT.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST TOXI\TOXI_OBJ\CHM3INT.OBJ F77L3 TOXI\CHM3INT.FOR, TOXI\TOXI_OBJ\CHM3INT.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST TOXI\TOXI_OBJ\DINTPT.OBJ F77L3 TOXI\DINTPT.FOR, TOXI\TOXI_OBJ\DINTPT.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST TOXI\TOXI_OBJ\DINTRP.OBJ F77L3 TOXI\DINTRP.FOR, TOXI\TOXI_OBJ\DINTRP.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST TOXI\TOXI_OBJ\DIVDIF.OBJ F77L3 TOXI\DIVDIF.FOR, TOXI\TOXI_OBJ\DIVDIF.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST TOXI\TOXI_OBJ\DSPLY.OBJ F77L3 TOXI\DSPLY.FOR, TOXI\TOXI_OBJ\DSPLY.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST TOXI\TOXI_OBJ\ENV.OBJ F77L3 TOXI\ENV.FOR, TOXI\TOXI_OBJ\ENV.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST TOXI\TOXI_OBJ\EREACT.OBJ F77L3 TOXI\EREACT.FOR, TOXI\TOXI_OBJ\EREACT.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST TOXI\TOXI_OBJ\FRCION.OBJ F77L3 TOXI\FRCION.FOR, TOXI\TOXI_OBJ\FRCION.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST TOXI\TOXI_OBJ\HYDROL.OBJ F77L3 TOXI\HYDROL.FOR, TOXI\TOXI_OBJ\HYDROL.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST TOXI\TOXI_OBJ\LMDAMA.OBJ F77L3 TOXI\LMDAMA.FOR, TOXI\TOXI_OBJ\LMDAMA.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST TOXI\TOXI_OBJ\OXID.OBJ F77L3 TOXI\OXID.FOR, TOXI\TOXI_OBJ\OXID.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST TOXI\TOXI_OBJ\PHOTO.OBJ F77L3 TOXI\PHOTO.FOR, TOXI\TOXI_OBJ\PHOTO.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST TOXI\TOXI_OBJ\PRTION.OBJ F77L3 TOXI\PRTION.FOR, TOXI\TOXI_OBJ\PRTION.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST TOXI\TOXI_OBJ\RXPROD.OBJ F77L3 TOXI\RXPROD.FOR, TOXI\TOXI_OBJ\RXPROD.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST TOXI\TOXI_OBJ\SOLAR.OBJ F77L3 TOXI\SOLAR.FOR, TOXI\TOXI_OBJ\SOLAR.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST TOXI\TOXI_OBJ\SOLFCT.OBJ F77L3 TOXI\SOLFCT.FOR, TOXI\TOXI_OBJ\SOLFCT.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST TOXI\TOXI_OBJ\SOLID.OBJ F77L3 TOXI\SOLID.FOR, TOXI\TOXI_OBJ\SOLID.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST TOXI\TOXI_OBJ\TOXIDU.OBJ F77L3 TOXI\TOXIDU.FOR, TOXI\TOXI_OBJ\TOXIDU.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST TOXI\TOXI_OBJ\TOXINT.OBJ F77L3 TOXI\TOXINT.FOR, TOXI\TOXI_OBJ\TOXINT.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST TOXI\TOXI_OBJ\VOLAT.OBJ F77L3 TOXI\VOLAT.FOR, TOXI\TOXI_OBJ\VOLAT.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST TOXI\TOXI_OBJ\WASPB.OBJ F77L3 TOXI\WASPB.FOR, TOXI\TOXI_OBJ\WASPB.OBJ,, >>CLFLTOXI.LOG
REM --------------------------------------------------------
IF NOT EXIST WASP\WASP_OBJ\GHCSEL.OBJ F77L3 D:\INTERACT\LIB\GHCSEL.FOR, WASP\WASP_OBJ\GHCSEL.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\COMPATIB.OBJ F77L3 D:\INTERACT\LIB\COMPATIB.FOR, WASP\WASP_OBJ\COMPATIB.OBJ,, >>CLFLTOXI.LOG
REM --------------------------------------------------------
@ECHO OFF
REM -----------------------------------------------------------------------------------
CLS
ECHO #
ECHO ##  WASP compilation complete with F77L3 FORTRAN.
ECHO #
ECHO #                             >>CLFLTOXI.LOG
ECHO ## WASP compilation complete. >>CLFLTOXI.LOG
ECHO #                             >>CLFLTOXI.LOG
ECHO #                             >>CLFLTOXI.LOG
ECHO ## End date and time.         >>CLFLTOXI.LOG
ECHO #                             >>CLFLTOXI.LOG
ECHO # -------- DATE ---------     >>CLFLTOXI.LOG
ECHO #                             >>CLFLTOXI.LOG
DATE <RETURN1.ANS | FIND "C"       >>CLFLTOXI.LOG
ECHO #                             >>CLFLTOXI.LOG
ECHO # -------- TIME ---------     >>CLFLTOXI.LOG
ECHO #                             >>CLFLTOXI.LOG
TIME <RETURN1.ANS | FIND "C"       >>CLFLTOXI.LOG
ECHO #                             >>CLFLTOXI.LOG
ECHO # -----------------------     >>CLFLTOXI.LOG
ECHO #                             >>CLFLTOXI.LOG
ECHO #
IF EXIST *.CMN DEL *.CMN
IF EXIST *.EQU DEL *.EQU
IF EXIST *.INC DEL *.INC
CLS
REM
ECHO #
ECHO ##  Ready to link WASP TOXI.
ECHO #
ECHO #   Press the "<Enter>" key to continue.
PAUSE >NUL
REM
IF NOT EXIST WASP\WASP_OBJ\*.OBJ GOTO NOLINK
IF NOT EXIST TOXI\TOXI_OBJ\*.OBJ GOTO NOLINK
REM
CLS
ECHO #   
ECHO ##  Beginning 386LINK for WASP TOXI code...wait.
ECHO #   
ECHO #                                   >>CLFLTOXI.LOG
ECHO ## Beginning 386LINK for WASP code. >>CLFLTOXI.LOG
ECHO #                                   >>CLFLTOXI.LOG
ECHO #                                   >>CLFLTOXI.LOG
ECHO ## Begin date and time.             >>CLFLTOXI.LOG
ECHO #                                   >>CLFLTOXI.LOG
ECHO # -------- DATE ---------           >>CLFLTOXI.LOG
ECHO #                                   >>CLFLTOXI.LOG
DATE <RETURN1.ANS | FIND "C"             >>CLFLTOXI.LOG
ECHO #                                   >>CLFLTOXI.LOG
ECHO # -------- TIME ---------           >>CLFLTOXI.LOG
ECHO #                                   >>CLFLTOXI.LOG
TIME <RETURN1.ANS | FIND "C"             >>CLFLTOXI.LOG
ECHO #                                   >>CLFLTOXI.LOG
ECHO # -----------------------           >>CLFLTOXI.LOG
ECHO #                                   >>CLFLTOXI.LOG
ECHO #
SET LIB=D:\F77L3\LIB
SET INTLIB=D:\INTERACT\LIB
CLS
@ECHO ON
@ECHO.
REM -------------------------------------------------------
IF NOT EXIST TOXI5.EXE 386LINK @F77LTOXI.LNK >>CLFLTOXI.LOG
REM -------------------------------------------------------
@ECHO OFF
SET LIB=
SET INTLIB=
ECHO #
ECHO # -----------------
ECHO #   
ECHO ##  386LINK complete for WASP TOXI code.
ECHO #   
ECHO #                               >>CLFLTOXI.LOG
ECHO ## Link complete for WASP code. >>CLFLTOXI.LOG
ECHO #                               >>CLFLTOXI.LOG
ECHO #                               >>CLFLTOXI.LOG
ECHO ## End date and time.           >>CLFLTOXI.LOG
ECHO #                               >>CLFLTOXI.LOG
ECHO # -------- DATE ---------       >>CLFLTOXI.LOG
ECHO #                               >>CLFLTOXI.LOG
DATE <RETURN1.ANS | FIND "C"         >>CLFLTOXI.LOG
ECHO #                               >>CLFLTOXI.LOG
ECHO # -------- TIME ---------       >>CLFLTOXI.LOG
ECHO #                               >>CLFLTOXI.LOG
TIME <RETURN1.ANS | FIND "C"         >>CLFLTOXI.LOG
ECHO #                               >>CLFLTOXI.LOG
ECHO # -----------------------       >>CLFLTOXI.LOG
ECHO #                               >>CLFLTOXI.LOG
ECHO #   Press the "<Enter>" key to continue.
PAUSE >NUL
:NOLINK
CLS
ECHO #
ECHO ##  WASP compilation/link complete...deleting work files...wait.
ECHO #
REM
ECHO #                                           >>CLFLTOXI.LOG
ECHO ## WASP CLFLTOXI.BAT command file complete. >>CLFLTOXI.LOG
ECHO #                                           >>CLFLTOXI.LOG
ECHO #                                           >>CLFLTOXI.LOG
ECHO ## End date and time.                       >>CLFLTOXI.LOG
ECHO #                                           >>CLFLTOXI.LOG
ECHO # -------- DATE ---------                   >>CLFLTOXI.LOG
ECHO #                                           >>CLFLTOXI.LOG
DATE <RETURN1.ANS | FIND "C"                     >>CLFLTOXI.LOG
ECHO #                                           >>CLFLTOXI.LOG
ECHO # -------- TIME ---------                   >>CLFLTOXI.LOG
ECHO #                                           >>CLFLTOXI.LOG
TIME <RETURN1.ANS | FIND "C"                     >>CLFLTOXI.LOG
ECHO #                                           >>CLFLTOXI.LOG
ECHO # -----------------------                   >>CLFLTOXI.LOG
ECHO #                                           >>CLFLTOXI.LOG
ECHO #
REM
REM PRINT CLFLTOXI.LOG <RETURN1.ANS >NUL
REM
CLS
ECHO #
ECHO ##  Compilation and link for all WASP TOXI code complete.
ECHO #   Press "<Ctrl><P>" if previously selected for printing.
ECHO #
ECHO #   Press the "<Enter>" key to continue.
PAUSE >NUL
CLS
IF NOT EXIST *.EXE GOTO NOEXE
ECHO #
ECHO ##  WASP TOXI task image ready for test execution.
ECHO #
ECHO.
DIR *.EXE | FIND " EXE"
ECHO.
ECHO #   To execute TOXI, type
ECHO #
ECHO #                     TOXI
ECHO #
ECHO #   at the DOS system prompt, then press the "<Enter>" key.
ECHO.
:NOEXE
REM
REM *********************************************************
REM *  End compile batch command E:\WASP\WASP\CLFLTOXI.BAT. *
REM *********************************************************
